> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paraform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace a candidate's work preferences

> Overwrites ALL recruiter-entered preferences. Read with getTalentNetworkCandidatePreferences first; send back every field to keep. Omitted optional fields cleared. GET body can be sent back verbatim. Retries safe.

Required scopes: `talent_network:write`.



## OpenAPI

````yaml /api/openapi.json put /talent-network/candidates/{candidateUserId}/preferences
openapi: 3.0.0
info:
  title: Paraform API
  version: v1
servers:
  - url: https://external-api.paraform.com/api/external/v1
security: []
paths:
  /talent-network/candidates/{candidateUserId}/preferences:
    put:
      summary: Replace a candidate's work preferences
      description: >-
        Overwrites ALL recruiter-entered preferences. Read with
        getTalentNetworkCandidatePreferences first; send back every field to
        keep. Omitted optional fields cleared. GET body can be sent back
        verbatim. Retries safe.


        Required scopes: `talent_network:write`.
      operationId: replaceTalentNetworkCandidatePreferences
      parameters:
        - schema:
            type: string
            minLength: 1
            description: >-
              candidateUserId from listTalentNetworkCandidates,
              lookupTalentNetworkCandidates, or batch item.
          required: true
          description: >-
            candidateUserId from listTalentNetworkCandidates,
            lookupTalentNetworkCandidates, or batch item.
          name: candidateUserId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                locations:
                  type: array
                  items:
                    type: string
                    enum:
                      - new_york
                      - san_francisco
                      - south_bay_area
                      - los_angeles
                      - boston
                      - seattle
                      - texas
                      - chicago
                      - europe
                      - latam
                      - korea
                      - canada
                      - australia
                      - india
                      - uk
                      - washington_dc
                      - asia
                      - denver
                      - florida
                      - minnesota
                      - sacramento
                  minItems: 1
                workplaceTypes:
                  type: array
                  items:
                    type: string
                    enum:
                      - REMOTE
                      - ON_SITE
                      - HYBRID
                  minItems: 1
                salaryMin:
                  type: integer
                  minimum: 0
                  exclusiveMinimum: true
                salaryMax:
                  type: integer
                  nullable: true
                  minimum: 0
                  exclusiveMinimum: true
                ote:
                  type: integer
                  nullable: true
                  minimum: 0
                  exclusiveMinimum: true
                idealFundingRounds:
                  type: array
                  items:
                    type: string
                    enum:
                      - PRE_SEED
                      - SEED
                      - SERIES_A
                      - SERIES_B
                      - SERIES_C
                      - SERIES_D_PLUS
                      - UNKNOWN
                  minItems: 1
                visaAuthorization:
                  type: string
                  enum:
                    - NO_VISA_AUTHORIZATION_NEEDED
                    - HAS_VISA_AUTHORIZATION
                    - NEEDS_NEW_VISA_AUTHORIZATION
                roleType:
                  type: array
                  items:
                    type: string
                    enum:
                      - backend_engineer
                      - frontend_engineer
                      - full_stack_engineer
                      - mobile_engineer
                      - infrastructure_devops_sre
                      - security_engineer
                      - forward_deployed_engineer_solutions_support
                      - robotics_software_engineer
                      - robotics_platform_engineer
                      - sales_solutions_engineer
                      - qa_test_engineering
                      - blockchain_protocol_engineer
                      - developer_relations_advocacy
                      - founding_engineer
                      - product_engineer
                      - embedded_firmware_engineer
                      - mechanical_engineer
                      - electrical_engineer
                      - robotics_hardware_engineer
                      - aerospace_flight_engineer
                      - machine_learning_engineer
                      - robotics_ml_engineer
                      - data_engineer
                      - data_science_analytics
                      - computer_vision_engineer
                      - research_scientist_applied_research
                      - ai_ml_researcher
                      - research_engineer_applied_research
                      - data_scientist_applied_scientist
                      - machine_learning_infrastructure
                      - machine_learning_ops_platform
                      - research_scientist
                      - research_engineer
                      - ai_engineer
                      - product_management
                      - product_design_ux_ui
                      - brand_visual_design
                      - marketing_growth
                      - growth_engineer
                      - growth_marketing
                      - demand_generation
                      - performance_paid_media
                      - lifecycle_crm_email
                      - seo_organic_growth
                      - marketing_ops_analytics
                      - product_marketing
                      - customer_marketing
                      - content_marketing
                      - brand_marketing
                      - social_media_influencer
                      - communications_pr
                      - events_field_marketing
                      - marketing_leadership
                      - founding_marketer_generalist
                      - account_executives_sales
                      - account_management_customer_success
                      - business_development
                      - sales_development_rep
                      - customer_technical_support
                      - content_copywriting
                      - sales_gtm_leadership
                      - partnerships
                      - operations_strategy
                      - robotics_operations_engineer
                      - revenue_operations
                      - finance_accounting
                      - people_talent
                      - chief_of_staff
                      - program_project_management
                      - executive_assistant
                      - data_analyst
                      - engineering_leadership
                      - executive_leadership
                      - clinical_healthcare
                      - legal_compliance_officer
                      - legal_operations
                      - legal_compliance
                      - legal_partner
                      - legal_counsel
                      - legal_associate
                      - legal_in_house_counsel
                      - legal_paralegal
                      - legal_admin
                excludedIndustries:
                  type: array
                  items:
                    type: string
                    enum:
                      - venture_capital
                      - logistics
                      - real_estate
                      - marketplace
                      - healthcare
                      - life_sciences
                      - hardware
                      - ai
                      - gaming
                      - fintech
                      - finance
                      - education
                      - ecommerce
                      - devtools
                      - defense
                      - cybersecurity
                      - crypto
                      - data
                      - enterprise
                      - financial_services
                      - government
                      - insurance
                      - law
                      - marketing
                      - media
                      - transportation
                      - environment
                      - robotics
                      - security
                      - construction
                      - manufacturing
                      - consumer
                      - ad_tech
                      - b2b
                      - api_sdk
                      - software_development
                      - creator_economy
                      - edtech
                      - autonomous_vehicles
                companySizePreferences:
                  type: array
                  items:
                    type: string
                    enum:
                      - < 10 employees
                      - 10 - 50 employees
                      - 50 - 200 employees
                      - 200 - 1000 employees
                      - '> 1000 employees'
              required:
                - locations
                - workplaceTypes
                - salaryMin
                - idealFundingRounds
                - visaAuthorization
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  candidateUserId:
                    type: string
                  preferences:
                    type: object
                    nullable: true
                    properties:
                      locations:
                        type: array
                        items:
                          type: string
                          enum:
                            - new_york
                            - san_francisco
                            - south_bay_area
                            - los_angeles
                            - boston
                            - seattle
                            - texas
                            - chicago
                            - europe
                            - latam
                            - korea
                            - canada
                            - australia
                            - india
                            - uk
                            - washington_dc
                            - asia
                            - denver
                            - florida
                            - minnesota
                            - sacramento
                      workplaceTypes:
                        type: array
                        items:
                          type: string
                          enum:
                            - REMOTE
                            - ON_SITE
                            - HYBRID
                      salaryMin:
                        type: integer
                        nullable: true
                      salaryMax:
                        type: integer
                        nullable: true
                      ote:
                        type: integer
                        nullable: true
                      idealFundingRounds:
                        type: array
                        items:
                          type: string
                          enum:
                            - PRE_SEED
                            - SEED
                            - SERIES_A
                            - SERIES_B
                            - SERIES_C
                            - SERIES_D_PLUS
                            - UNKNOWN
                      visaAuthorization:
                        type: string
                        nullable: true
                        enum:
                          - NO_VISA_AUTHORIZATION_NEEDED
                          - HAS_VISA_AUTHORIZATION
                          - NEEDS_NEW_VISA_AUTHORIZATION
                      roleType:
                        type: array
                        items:
                          type: string
                          enum:
                            - backend_engineer
                            - frontend_engineer
                            - full_stack_engineer
                            - mobile_engineer
                            - infrastructure_devops_sre
                            - security_engineer
                            - forward_deployed_engineer_solutions_support
                            - robotics_software_engineer
                            - robotics_platform_engineer
                            - sales_solutions_engineer
                            - qa_test_engineering
                            - blockchain_protocol_engineer
                            - developer_relations_advocacy
                            - founding_engineer
                            - product_engineer
                            - embedded_firmware_engineer
                            - mechanical_engineer
                            - electrical_engineer
                            - robotics_hardware_engineer
                            - aerospace_flight_engineer
                            - machine_learning_engineer
                            - robotics_ml_engineer
                            - data_engineer
                            - data_science_analytics
                            - computer_vision_engineer
                            - research_scientist_applied_research
                            - ai_ml_researcher
                            - research_engineer_applied_research
                            - data_scientist_applied_scientist
                            - machine_learning_infrastructure
                            - machine_learning_ops_platform
                            - research_scientist
                            - research_engineer
                            - ai_engineer
                            - product_management
                            - product_design_ux_ui
                            - brand_visual_design
                            - marketing_growth
                            - growth_engineer
                            - growth_marketing
                            - demand_generation
                            - performance_paid_media
                            - lifecycle_crm_email
                            - seo_organic_growth
                            - marketing_ops_analytics
                            - product_marketing
                            - customer_marketing
                            - content_marketing
                            - brand_marketing
                            - social_media_influencer
                            - communications_pr
                            - events_field_marketing
                            - marketing_leadership
                            - founding_marketer_generalist
                            - account_executives_sales
                            - account_management_customer_success
                            - business_development
                            - sales_development_rep
                            - customer_technical_support
                            - content_copywriting
                            - sales_gtm_leadership
                            - partnerships
                            - operations_strategy
                            - robotics_operations_engineer
                            - revenue_operations
                            - finance_accounting
                            - people_talent
                            - chief_of_staff
                            - program_project_management
                            - executive_assistant
                            - data_analyst
                            - engineering_leadership
                            - executive_leadership
                            - clinical_healthcare
                            - legal_compliance_officer
                            - legal_operations
                            - legal_compliance
                            - legal_partner
                            - legal_counsel
                            - legal_associate
                            - legal_in_house_counsel
                            - legal_paralegal
                            - legal_admin
                      excludedIndustries:
                        type: array
                        items:
                          type: string
                          enum:
                            - venture_capital
                            - logistics
                            - real_estate
                            - marketplace
                            - healthcare
                            - life_sciences
                            - hardware
                            - ai
                            - gaming
                            - fintech
                            - finance
                            - education
                            - ecommerce
                            - devtools
                            - defense
                            - cybersecurity
                            - crypto
                            - data
                            - enterprise
                            - financial_services
                            - government
                            - insurance
                            - law
                            - marketing
                            - media
                            - transportation
                            - environment
                            - robotics
                            - security
                            - construction
                            - manufacturing
                            - consumer
                            - ad_tech
                            - b2b
                            - api_sdk
                            - software_development
                            - creator_economy
                            - edtech
                            - autonomous_vehicles
                      companySizePreferences:
                        type: array
                        items:
                          type: string
                          enum:
                            - < 10 employees
                            - 10 - 50 employees
                            - 50 - 200 employees
                            - 200 - 1000 employees
                            - '> 1000 employees'
                    required:
                      - locations
                      - workplaceTypes
                      - salaryMin
                      - salaryMax
                      - ote
                      - idealFundingRounds
                      - visaAuthorization
                      - roleType
                      - excludedIndustries
                      - companySizePreferences
                required:
                  - candidateUserId
                  - preferences
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.